Bug 211426 - autotools: support dirsec packages, mozldap6, svrcore
autotools: support dirsec packages, mozldap6, svrcore
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
All All
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
Depends On:
Blocks: 152373 240316
  Show dependency treegraph
Reported: 2006-10-18 22:56 EDT by Rich Megginson
Modified: 2015-12-07 11:36 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-07 11:36:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
diffs for fix (4.77 KB, patch)
2006-10-18 22:56 EDT, Rich Megginson
no flags Details | Diff
new diffs (5.17 KB, patch)
2006-10-19 12:29 EDT, Rich Megginson
no flags Details | Diff

  None (edit)
Description Rich Megginson 2006-10-18 22:56:30 EDT
1) Add support for dirsec-nspr and dirsec-nss to nspr.m4 and nss.m4
2) Add support for mozldap6 - use mozldap6 if available, otherwise, use mozldap
3) Add support to get svrcore-devel from pkg-config, or look for system

The configure diffs are omitted for brevity
Comment 1 Rich Megginson 2006-10-18 22:56:31 EDT
Created attachment 138851 [details]
diffs for fix
Comment 2 Nathan Kinder 2006-10-19 11:30:38 EDT
The changes look good, but I have one minor comment.  The current build will not
work with the plain "mozldap" package since Makefile.am is trying to link with
the "60" libraries.  There is also the fact that we are now using the new ber
types that were introduced in mozldap6 throughout the server code.  Do we even
need to check for the plain "mozldap" package?
Comment 3 Rich Megginson 2006-10-19 11:35:07 EDT
I think you're right.  The server code is not backwards compatible, and we will
have to have the mozldap6 package name for quite some time so as not to conflict
with any mozldap (v5.17) packages which may have been released as part of cs or
Comment 4 Rich Megginson 2006-10-19 12:29:21 EDT
Created attachment 138881 [details]
new diffs

This version omits checking for the mozldap pkgconfig package, and only checks
for mozldap6.  In addition to this, we explicitly check the ldap c sdk vendor
version in mozldap.m4 to catch potential problems with unsupported versions at
configure time.
Comment 5 Nathan Kinder 2006-10-19 12:35:54 EDT
Looks good.
Comment 6 Rich Megginson 2006-10-19 12:56:09 EDT
Reviewed by: nkinder (Thanks!)
Files: see diff
Branch: HEAD
Fix Description: Look for the dirsec-nspr and dirsec-nss if nspr and nss
are not found in pkg-config.  Look for mozldap6 then mozldap in
pkg-config.  Look for svrcore-devel in pkg-config, then look for it in
the system directories.
Nathan pointed out that we do not support mozldap v5.x anymore, so we should
just look for mozldap6 with pkg-config.  I also added an explicit check of the
vendor version in the header file to make sure we are using 600 or greater.
Platforms tested: RHEL4
Flag Day: no
Doc impact: no

Checking in configure;
/cvs/dirsec/ldapserver/configure,v  <--  configure
new revision: 1.3; previous revision: 1.2
Checking in m4/mozldap.m4;
/cvs/dirsec/ldapserver/m4/mozldap.m4,v  <--  mozldap.m4
new revision: 1.2; previous revision: 1.1
Checking in m4/nspr.m4;
/cvs/dirsec/ldapserver/m4/nspr.m4,v  <--  nspr.m4
new revision: 1.2; previous revision: 1.1
Checking in m4/nss.m4;
/cvs/dirsec/ldapserver/m4/nss.m4,v  <--  nss.m4
new revision: 1.2; previous revision: 1.1
Checking in m4/svrcore.m4;
/cvs/dirsec/ldapserver/m4/svrcore.m4,v  <--  svrcore.m4
new revision: 1.2; previous revision: 1.1
Comment 7 Michael Gregg 2007-12-06 18:14:55 EST
The current build seems to support mozldap6 and srvcore just fine.

Verified aginst:
1196978446 redhat-ds-base-8.0.0-11.el5dsrv Thu Dec 06 2007 
1196978448 redhat-ds-admin-8.0.0-1.15.el5dsrv Thu Dec 06 2007 
1196978450 redhat-ds-console-8.0.0-8.el5dsrv Thu Dec 06 2007 
1196978451 redhat-admin-console-8.0.0-9.el5dsrv Thu Dec 06 2007 

Note You need to log in before you can comment on or make changes to this bug.